#include "testselection.h"

TestSelection::TestSelection(QWidget *parent) : QWidget(parent)
{
       mainLayout = new QVBoxLayout(this);
       db = QSqlDatabase::addDatabase("QPSQL");
       db.setHostName("195.19.32.74");
       db.setDatabaseName("fn1132_2020");
       db.setPort(5432);
       db.setUserName("student");
       db.setPassword("bmstu");
       QSqlQuery query(db);
       query.exec("SELECT name FROM tests");
       QList <QVariant> listNames = query.value("name").toList();
       QVector<QPushButton*> btns;
       for (auto & qvar: listNames)
       {
           QPushButton *curr_btn = new QPushButton(qvar.toString());
           btns.push_back(curr_btn);
       }
       for(auto & btn: btns)
       {
           mainLayout->addWidget(btn);
       }

}

void TestSelection::_sh()
{
    this->show();
}
